## com.google.javascript.jscomp.jsonml
Enum TagType

    java.lang.Object
      java.lang.Enum<TagType>
          com.google.javascript.jscomp.jsonml.TagType

All Implemented Interfaces:
  Serializable, Comparable<TagType>

    public enum TagType

extends Enum<TagType>

List of types allowed for JsonML elements.

Enum Constant Summary
`ArrayExpr`
`AssignExpr`
`BinaryExpr`
`BlockStmt`
`BreakStmt`
`CallExpr`
`Case`
`CatchClause`
`ConditionalExpr`
`ContinueStmt`
`CountExpr`
`DataProp`
`DebuggerStmt`
`DefaultCase`
`DeleteExpr`
`DoWhileStmt`
`Empty`
`EmptyStmt`
`EvalExpr`
`ForInStmt`
`ForStmt`
`FunctionDecl`
`FunctionExpr`
`GetterProp`
`IdExpr`
`IdPatt`
`IfStmt`
`InitPatt`
`InvokeExpr`
`LabelledStmt`
`LiteralExpr`
`LogicalAndExpr`
`LogicalOrExpr`
`MemberExpr`
`NewExpr`
`ObjectExpr`
`ParamDecl`
`Program`
`PrologueDecl`
`RegExpExpr`
`ReturnStmt`
`SetterProp`
`SwitchStmt`
`ThisExpr`
`ThrowStmt`
`TryStmt`
`TypeofExpr`
`UnaryExpr`
`VarDecl`
`WhileStmt`
`WithStmt`

Method Summary
`static TagType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TagType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ArrayExpr

    public static final TagType ArrayExpr

### AssignExpr

    public static final TagType AssignExpr

### BinaryExpr

    public static final TagType BinaryExpr

### CallExpr

    public static final TagType CallExpr

### ConditionalExpr

    public static final TagType ConditionalExpr

### CountExpr

    public static final TagType CountExpr

### DeleteExpr

    public static final TagType DeleteExpr

### EvalExpr

    public static final TagType EvalExpr

### FunctionExpr

    public static final TagType FunctionExpr

### IdExpr

    public static final TagType IdExpr

### InvokeExpr

    public static final TagType InvokeExpr

### LiteralExpr

    public static final TagType LiteralExpr

### LogicalAndExpr

    public static final TagType LogicalAndExpr

### LogicalOrExpr

    public static final TagType LogicalOrExpr

### MemberExpr

    public static final TagType MemberExpr

### NewExpr

    public static final TagType NewExpr

### ObjectExpr

    public static final TagType ObjectExpr

### RegExpExpr

    public static final TagType RegExpExpr

### ThisExpr

    public static final TagType ThisExpr

### TypeofExpr

    public static final TagType TypeofExpr

### UnaryExpr

    public static final TagType UnaryExpr

### BlockStmt

    public static final TagType BlockStmt

### BreakStmt

    public static final TagType BreakStmt

### ContinueStmt

    public static final TagType ContinueStmt

### DebuggerStmt

    public static final TagType DebuggerStmt

### DoWhileStmt

    public static final TagType DoWhileStmt

### EmptyStmt

    public static final TagType EmptyStmt

### ForInStmt

    public static final TagType ForInStmt

### ForStmt

    public static final TagType ForStmt

### IfStmt

    public static final TagType IfStmt

### LabelledStmt

    public static final TagType LabelledStmt

### ReturnStmt

    public static final TagType ReturnStmt

### SwitchStmt

    public static final TagType SwitchStmt

### ThrowStmt

    public static final TagType ThrowStmt

### TryStmt

    public static final TagType TryStmt

### WhileStmt

    public static final TagType WhileStmt

### WithStmt

    public static final TagType WithStmt

### FunctionDecl

    public static final TagType FunctionDecl

### ParamDecl

    public static final TagType ParamDecl

### PrologueDecl

    public static final TagType PrologueDecl

### VarDecl

    public static final TagType VarDecl

### DataProp

    public static final TagType DataProp

### GetterProp

    public static final TagType GetterProp

### SetterProp

    public static final TagType SetterProp

### IdPatt

    public static final TagType IdPatt

### InitPatt

    public static final TagType InitPatt

### Case

    public static final TagType Case

### DefaultCase

    public static final TagType DefaultCase

### CatchClause

    public static final TagType CatchClause

### Empty

    public static final TagType Empty

### Program

    public static final TagType Program

Method Detail

### values

    public static TagType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TagType c : TagType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TagType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null